% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cluster_tmap.R
\name{cluster.tmap}
\alias{cluster.tmap}
\title{cluster.tmap}
\usage{
cluster.tmap(tmap, nclust = NULL, minSize = 40, method = c("adjClust",
  "densVM", "citrus", "hierarchical", "kmeans"), hclust.meth = "complete",
  xbins = 150, weighted = F, markerWt = "none", mapWt = 0,
  findEdges = T)
}
\arguments{
\item{tmap}{tmap object containing a 2-dimensional tSNE.map.}

\item{nclust}{desired number of clusters}

\item{minSize}{The minimum number of cells to define a cluster. Any clusters with
a number of cells smaller than minSize will not be counted towards 
minSize, and will be annotated with \code{NA} for the cluster group, 
indicating they don't belong to any cluster.}

\item{xbins}{number of bins partitioning the range of the x dimension.}

\item{weighted}{logical; if true, adjacency clustering is performed using weighted
distances (see adj_clust for complete details)}

\item{markerWt}{Define how to weight individual markers. Can either be a numeric
vector of the same length as the columns in tmap$markerVals, a
named vector indicating the weights of specific markers, or
"SD" to calculate weights relative to the standard 
deviation of each parameter within each bin (see details).}

\item{mapWt}{value between 0 and 1 indicating the contribution of distances 
between points in the 2-dimensional map to the total distance.
A value of 1 implies that distances are calculated based on only 
the 2-dimensional map, whereas a value of 0 means only the original
n-dimensional map is used.}

\item{findEdges}{boolean; if true, the cluster edges will be determined and added
to the tmap object. Adds significant processing time.}
}
\description{
cluster a high density 2-dimensional tSNE map using 'adjacency clustering'
}
\details{
This function uses the 'adjacency' hierarchical clustering algorithm
                 to cluster high-density data in a 2-dimensional map. 
                 
                 TODO: talk about markerWt
}

