% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/clusterStats.R
\name{compareGroups}
\alias{compareGroups}
\alias{compareGroups.default}
\alias{compareGroups.formula}
\alias{compareGroups.tmap}
\title{Compare cluster membership}
\usage{
compareGroups(x, ...)

\method{compareGroups}{tmap}(tmap, grp.info, contrast, parametric = FALSE,
  ...)

\method{compareGroups}{formula}(formula, data, contrast, tmap = NULL,
  clust.fract = NULL, ...)

\method{compareGroups}{default}(clust.fract, grp.info, contrast,
  parametric = FALSE, alternative = c("two.sided", "less", "greater"),
  var.equal = FALSE)
}
\arguments{
\item{tmap}{an object of class "\code{tmap}" containing clustering information.}

\item{grp.info}{data frame with two columns, OR a named vector; a description of 
the sample grouping in tmap. The first column (or the names of the 
vector) is a list of filenames that match the values in 
\code{tmap$sourceFile}, and the second column (or values in the 
vector) is the group membership of that file.}

\item{contrast}{character string describing the contrast of interest. Must be of the
form "GrpB-GrpA", where groups A and B are the group labels to be 
compared.}

\item{parametric}{boolean; should a parametric test be used?}

\item{formula}{an object of class "\code{\link[stats]{formula}}" (or one that can 
be coerced to that class): a symbolic description of which fields 
to use to group the data in tmap.}

\item{clust.fract}{Matrix (or object that can be coerced to a matrix) containing
cluster membership fractions, as returned by 
\code{\link{clusterFract}}.}

\item{alternative, var.equal}{parameter to pass to t.test or wilcox.test}
}
\value{
A data frame with the following information:
\describe{
 \item{cluster}{The cluster ID}
 \item{statistic}{The t-statistic (if \code{parametric=TRUE}) or W-statistic (if 
                       \code{FALSE})}
 \item{p.value}{The p-value}
 \item{fdr}{The false discovery rate}
}
}
\description{
Methods for calculating significant differences in cluster membership 
between groups of samples.
}

