% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cluster_tmap.R
\name{hclust_adj}
\alias{hclust_adj}
\title{Fortran implementation of hclust_adj}
\usage{
hclust_adj(d, adj, method = "complete", weighted = F, members = NULL)
}
\arguments{
\item{d}{a dissimilarity structure, as defined by 'dist'}

\item{adj}{logical vector of same length as d indicating the adjacency of each 
pair of points.}

\item{weighted}{logical; if true, adjacency clustering is performed using weighted
distances (see details)}
}
\value{
An object of class hclust which describes the tree produced by 
                 the clustering process. See hclust for full details
}
\description{
Fortran implementation of hclust_adj
}
\details{
There are two forms of the adjacency clustering algorithm; weighted
                 and unweighted. For unweighted adjacency clustering, distance between
                 bins is calculated using standard euclidean distance, and hierarchical
                 clustering groups the most similar adjacent clusters at every step. If
                 weighted=T is specified, then a weighting parameter is included for 
                 smaller clusters such that distance to any cluster with more than 2 
                 members is 1.2 times higher than to a cluster with only 1 member.
}

