% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_tmap.R
\name{plotClusters}
\alias{plotClusters}
\title{Plot cluster information}
\usage{
plotClusters(tmap, labelCluster = TRUE, labelCol = NULL,
  addEdges = !is.null(tmap$binInfo), cluster.col = NULL, ...)
}
\arguments{
\item{tmap}{the tmap object to plot. Must contain cluster info}

\item{labelCluster}{boolean; if true, cluster numbers will be annotated}

\item{labelCol}{the color for the cluster labels; default is to use the same
color as the clusters.}

\item{addEdges}{either a boolean or a numeric vector; if the numeric vector is 
defined, the edges for those clusters will be plotted. 
Alternatively, specifying TRUE will specify that all edges
should be plotted.}

\item{cluster.col}{vector of colors for each cluster. Length must be equal to the 
number of clusters}

\item{...}{additional parameters to be passed to hexplot}
}
\value{
invisibly returns the color scheme for the clusters.
}
\description{
generate cluster maps using the hexplot function
}
\details{
By default, the colors for the clusters will be determined by the 
\code{\link[grDevices]{rainbow}} function. The function will generate a number of 
colors equal to the number of clusters, and then the rainbow colors will be randomly
rearranged to ensure that nearly identical colors are not right next to each other. 
One consequence of this is that each call to \code{plotClusters} will generate a 
different color scheme. Therefore, the only way to ensure consistency of colors between
multiple plots is to supply a vector of colors to \code{cluster.col}. In order to make
this easier using the function, the randomly generated color vector used in the plot
is invisibly returned, meaning that you can store the color vector from one call and
use it in any subsequent calls to the function.
}

